problem_basic< T, M >

## Public Types

typedef solver_basic< T, M >::size_type | size_type
typedef solver_basic< T, M >::determinant_type | determinant_type

## Public Member Functions

| problem_basic ()
| problem_basic (const form_basic< T, M > &a, const solver_option &sopt=solver_option())
void | update_value (const form_basic< T, M > &a)
void | set_preconditioner (const solver_basic< T, M > &)
void | solve (const field_basic< T, M > &lh, field_basic< T, M > &uh) const
void | trans_solve (const field_basic< T, M > &lh, field_basic< T, M > &uh) const
determinant_type | det () const
const solver_option & | option () const
bool | initialized () const
const solver_basic< T, M > & | get_solver () const

## Protected Attributes

form_basic< T, M > | _a
solver_basic< T, M > | _sa

## Detailed Description

### template<class T, class M = rheo_default_memory_model>
class rheolef::problem_basic< T, M >

Definition at line 120 of file problem.h.

## Member Typedef Documentation

## size_type

typedef solver_basic<T,M>::size_type size_type

Definition at line 125 of file problem.h.

## determinant_type

typedef solver_basic<T,M>::determinant_type determinant_type

Definition at line 126 of file problem.h.

## Constructor & Destructor Documentation

## problem_basic() [1/2]

problem_basic

Definition at line 171 of file problem.h.

## problem_basic() [2/2]

problem_basic | ( | const form_basic< T, M > & | a,
|  | const solver_option & | sopt = `solver_option()`
| ) |  |

Definition at line 178 of file problem.h.

## Member Function Documentation

## update_value()

void update_value | ( | const form_basic< T, M > & | a | ) |

Definition at line 188 of file problem.h.

## set_preconditioner()

void set_preconditioner | ( | const solver_basic< T, M > & | m | ) |

Definition at line 196 of file problem.h.

## solve()

void solve | ( | const field_basic< T, M > & | lh,
|  | field_basic< T, M > & | uh
| ) |  | const

Definition at line 203 of file problem.h.

## trans_solve()

void trans_solve | ( | const field_basic< T, M > & | lh,
|  | field_basic< T, M > & | uh
| ) |  | const

Definition at line 209 of file problem.h.

## det()

problem_basic< T, M >::determinant_type det

Definition at line 223 of file problem.h.

## option()

const solver_option & option

Definition at line 230 of file problem.h.

## initialized()

bool initialized

Definition at line 216 of file problem.h.

## get_solver()

const solver_basic<T,M>& get_solver | ( |  | ) | const

Definition at line 151 of file problem.h.

## Member Data Documentation

## _a

form_basic<T,M> _a

protected

Definition at line 155 of file problem.h.

## _sa

solver_basic<T,M> _sa

protected

Definition at line 156 of file problem.h.

The documentation for this class was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/problem.h